Loading...
Searching...
No Matches
osmium::thread::thread_handler Class Reference

`#include <util.hpp>`

## Public Member Functions

| thread_handler ()=default
template<typename TFunction, typename... TArgs>
| thread_handler (TFunction &&f, TArgs &&... args)
| thread_handler (const thread_handler &)=delete
thread_handler & | operator= (const thread_handler &)=delete
| thread_handler (thread_handler &&) noexcept=default
thread_handler & | operator= (thread_handler &&) noexcept=default
| ~thread_handler ()

## Private Attributes

std::thread | m_thread

## Constructor & Destructor Documentation

## thread_handler() [1/4]

osmium::thread::thread_handler::thread_handler | ( |  | ) |

default

## thread_handler() [2/4]

template<typename TFunction, typename... TArgs>

osmium::thread::thread_handler::thread_handler | ( | TFunction && | f,
|  | TArgs &&... | args )

inlineexplicit

## thread_handler() [3/4]

osmium::thread::thread_handler::thread_handler | ( | const thread_handler & |  | ) |

delete

## thread_handler() [4/4]

osmium::thread::thread_handler::thread_handler | ( | thread_handler && |  | ) |

defaultnoexcept

## ~thread_handler()

osmium::thread::thread_handler::~thread_handler | ( |  | ) |

inline

## Member Function Documentation

## operator=() [1/2]

thread_handler & osmium::thread::thread_handler::operator= | ( | const thread_handler & |  | ) |

delete

## operator=() [2/2]

thread_handler & osmium::thread::thread_handler::operator= | ( | thread_handler && |  | ) |

defaultnoexcept

## Member Data Documentation

## m_thread

std::thread osmium::thread::thread_handler::m_thread

private

The documentation for this class was generated from the following file:

- include/osmium/thread/util.hpp